## org.jfree.data.category
Interface CategoryRangeInfo

    public interface CategoryRangeInfo

An interface that can (optionally) be implemented by a dataset to assist in determining the minimum and maximum y-values.

Since:
  1.0.13

Method Summary
`Range` `getRangeBounds(java.util.List visibleSeriesKeys, boolean includeInterval)` Returns the range of the values in this dataset's range.

Method Detail

### getRangeBounds

    Range getRangeBounds(java.util.List visibleSeriesKeys,
                         boolean includeInterval)

  Returns the range of the values in this dataset's range.

  Parameters:
    `visibleSeriesKeys` - the keys of the visible series.
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The range (or `null` if the dataset contains no values).